from django.urls import path
from vehicles.views import vehiclesView, VehicleListCreateAPIView, VehicleRetrieveUpdateDestroyAPIView, get_vehicles

urlpatterns = [
    path("", vehiclesView.as_view(), name='list_vehicles'),
    # API endpoints
    path("api/", VehicleListCreateAPIView.as_view(), name='vehicles-list-create'),
    path("api/<int:pk>/", VehicleRetrieveUpdateDestroyAPIView.as_view(), name='vehicles-detail'),
    path("api/list/", get_vehicles, name='get-vehicles'),
]